For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocumentationAPI Reference
DocumentationAPI Reference
  • Getting Started
    • Introduction
    • Concepts
    • SDKs
  • API Reference
      • GETGet organizations
      • POSTCreate a new organization
      • GETGet organizations count
      • GETGet organization
      • PUTUpdate organization
      • DELDelete the organization
      • POSTCreate admin portal link
        • GETGet organization roles
        • POSTCreate organization role
        • GETGet organization role
        • PUTUpdate organization role
        • DELDelete organization role
        • GETGet users with organization role
        • GETHas organization role
        • PUTGrant organization role
        • DELRevoke organization role
        • GETGet user's organization roles
Dashboard
LogoLogo
API ReferenceOrganizationsRoles

Get organization roles

GET
https://demo.authit.cloud/realms/:realm/orgs/:orgId/roles
GET
/realms/:realm/orgs/:orgId/roles
$curl https://demo.authit.cloud/realms/realm/orgs/orgId/roles \
> -H "Authorization: Bearer <token>"
200Retrieved
1[
2 {
3 "id": "string",
4 "name": "string",
5 "description": "string"
6 }
7]
Get a list of roles for this organization.
Was this page helpful?
Previous

Create organization role

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

realmstringRequired
orgIdstringRequired

Response

success
idstring
namestring
descriptionstring